Kerbal Space Program - Bug #9329

Decal transparency and draw order
04/19/2016 11:21 PM - Anonymous

Status: Closed Start date: 04/19/2016
Severity: Low % Done: 100%
Assignee:

Category: Camera

Target version:

Version: 1.1.0 Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

Summary:

Hovering over the "FAT-455 Aeropane Tail Fin" will cause the texture around the flag to go transparent. This occurs at certain angles
demonstrated in the attached images. The moving and fixed parts are affected separately as demonstrated in the attached images.
Only flags with transparency are affected. Glitch occurs in VAB, SPH and in flight. Tested with eighth, quarter, half and full res
textures. Tested with Edge Highlighting (PPFX) on and off. Tested with Fastest, Fast, Simple, Good, Beautiful and Fantastic render
settings.

Steps to Replicate:

-Attach "FAT-455 Aeropane Tail Fin" to any craft

-Hover mouse over flag texture on "FAT-455 Aeropane Tail Fin"

-adjust angle until texture becomes transparent (roughly 45 degrees to side of part)

Workaround:
Use a flag without transparency.

Related issues:

Related to Kerbal Space Program - Bug #9331: Highlighted part becomes invisib... Closed 04/20/2016
Related to Kerbal Space Program - Bug #9464: Flags on Mkl cockpit allow you t... Duplicate 04/24/2016
Related to Kerbal Space Program - Bug #9591: Flags make parts see-through on ... Duplicate 04/29/2016
History

#1 - 04/20/2016 06:45 AM - rudi1291
- Status changed from New to Confirmed

- % Done changed from 0 to 10

Looks like a duplicate of #9311, but since that is on the thq pre-release tracker, iA'm not sure if we should mark it as such.
Also, i feel like this one should get higher priority; it doesnA’t affect gameplay in any way, but its pretty obvious, if you use parts affected by this.

#2 - 04/20/2016 01:41 PM - Squelch
- Related to Bug #9331: Highlighted part becomes invisible when viewing through a fairing added

#4 - 04/20/2016 01:54 PM - Squelch
- Subject changed from FAT-455 Aeropane Tail Fin Glitch to Decal transparency and draw order
- Status changed from Confirmed to Investigating

- % Done changed from 10 to 20

This is indeed a duplicate report to that on the pre release tracker. However, | have revised the title for this one, and related it back to the original
report.

This issue should only be affecting flags and decals in the editor scenes (VAB, SPH) together with some parts when highlighted through fairings (also
related). While unwelcome and unsightly, it should not affect gameplay in any way.

#5 - 04/20/2016 11:23 PM - Manwith_Noname
- File 20160421001057_1.jpg added

It does also occur in game, not just the editor and is only viewable from certain angles.

#6 - 04/21/2016 09:55 PM - Cerbis

Manwith_Noname wrote:

It does also occur in game, not just the editor and is only viewable from certain angles.

| did some testing on this, and found that it occurs when you highlight the part when viewing the part in question from the front. So if you view a

cockpit nose-on, the visual error will be visible when highlighting the part. If you view it from behind, where the attachment node is, it doesn't occur.
The cutoff point seems to be perpendicular to the orientation of the part!
On capsules the problem occurs at a much greater angle, and not perpendicular to the part.

#7 - 04/24/2016 04:16 PM - sal_vager

- Related to Bug #9464: Flags on Mkl cockpit allow you to see through the cockpit added

#8 - 04/29/2016 02:59 PM - sal_vager

- Related to Bug #9591: Flags make parts see-through on hover or certain angles. added

#9 - 07/17/2016 09:46 AM - TriggerAu
- Status changed from Investigating to Needs Clarification

- % Done changed from 20 to 0

#11 - 10/13/2016 12:25 PM - sal_vager
- Status changed from Needs Clarification to Ready to Test

- % Done changed from 0 to 80

This should no longer occur in 1.2

#12 - 11/18/2016 08:32 PM - JPLRepo
- Status changed from Ready to Test to Closed
- % Done changed from 80 to 100

Closing. No response.
